PHP K�sikirja
Edellinen |  | Seuraava

# DOMAttr->isId()

DOMAttr->isId() -- Checks if attribute is a defined ID

## Description

class DOMAttr {
bool isId ( void )
}

This function checks if the attribute is a defined ID.

According to the DOM standard this requires a DTD which defines the attribute ID to be of type ID. You need to validate your document with DOMDocument->validate() or DOMDocument::validateOnParse before using this function.

## Return values

Palauttaa `TRUE` onnistuessaan, muutoin `FALSE`.

## Examples

Esimerkki 1. DOMAttr->isId() Example

`<?php $doc = new DomDocument; // We need to validate our document before refering to the id $doc->validateOnParse = true; $doc->Load('book.xml'); // We retrieve the attribute named id of the chapter element $attr = $doc->getElementsByTagName('chapter')->item(0)->getAttributeNode('id'); var_dump($attr->isId()); // bool(true) ?>`

Edellinen | Alkuun | Seuraava
DOM Functions | Ylös | DOMCharacterData->appendData()